org.apache.catalina.realm

## Interface X509UsernameRetriever

- All Known Implementing Classes:
    X509SubjectDnRetriever

      public interface X509UsernameRetriever

  Provides an interface for retrieving a user name from an X509Certificate.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getUsername(X509Certificate cert)` Gets a user name from an X509Certificate.

- - ### Method Detail

    - #### getUsername

          String getUsername(X509Certificate cert)

      Gets a user name from an X509Certificate.
      Parameters:
        `cert` - The certificate containing the user name.
      Returns:
        An appropriate user name obtained from one or more fields in the certificate.

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.